% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/callbacks.R
\name{callback_csv_logger}
\alias{callback_csv_logger}
\title{Callback that streams epoch results to a csv file}
\usage{
callback_csv_logger(filename, separator = ",", append = FALSE)
}
\arguments{
\item{filename}{filename of the csv file, e.g. 'run/log.csv'.}

\item{separator}{string used to separate elements in the csv file.}

\item{append}{\code{TRUE}: append if file exists (useful for continuing training).
\code{FALSE}: overwrite existing file,}
}
\description{
Supports all values that can be represented as a string
}
\seealso{
Other callbacks: \code{\link{callback_early_stopping}},
  \code{\link{callback_lambda}},
  \code{\link{callback_learning_rate_scheduler}},
  \code{\link{callback_model_checkpoint}},
  \code{\link{callback_progbar_logger}},
  \code{\link{callback_reduce_lr_on_plateau}},
  \code{\link{callback_remote_monitor}},
  \code{\link{callback_tensorboard}},
  \code{\link{callback_terminate_on_naan}}
}
